use cuddle_ci::{cuddle_please, CuddleCI};

#[tokio::main]
async fn main() -> eyre::Result<()> {
    dagger_sdk::connect(|client| async move {
        let cuddle_please = &cuddle_please::CuddlePlease::new(client.clone());

        CuddleCI::default()
            .with_main(cuddle_please)
            .execute(std::env::args())
            .await?;

        Ok(())
    })
    .await?;

    Ok(())
}
